DbQueueStat (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbQueueStat,DbQueueStat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbQueueStat

    java.lang.Object
      |
      +--com.sleepycat.db.DbQueueStat

public class DbQueueStat
extends Object

The DbQueueStat object is used to return Queue database statistics.

Field Summary
`int` | `qs_cur_recno` Next available record number.
`int` | `qs_extentsize` Underlying database extent size, in pages.
`int` | `qs_first_recno` First undeleted record in the database.
`int` | `qs_magic` Magic number that identifies the file as a Queue file.
`int` | `qs_metaflags`
`int` | `qs_ndata` The number of records in the database.
`int` | `qs_nkeys` The number of records in the database.
`int` | `qs_pages` Number of pages in the database.
`int` | `qs_pagesize` Underlying database page size, in bytes.
`int` | `qs_pgfree` Number of bytes free in database pages.
`int` | `qs_re_len` The length of the records.
`int` | `qs_re_pad` The padding byte value for the records.
`int` | `qs_version` The version of the Queue file type.

Constructor Summary
`DbQueueStat()`

Method Summary
`String` | `toString()` Provide a string representation of all the fields contained within this class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### qs_magic

    public int qs_magic

  Magic number that identifies the file as a Queue file. Returned if Db.DB_FAST_STAT is set.

### qs_version

    public int qs_version

  The version of the Queue file type. Returned if Db.DB_FAST_STAT is set.

### qs_metaflags

    public int qs_metaflags

### qs_nkeys

    public int qs_nkeys

  The number of records in the database. If Db.DB_FAST_STAT was specified the count will be the last saved value unless it has never been calculated, in which case it will be 0. Returned if Db.DB_FAST_STAT is set.

### qs_ndata

    public int qs_ndata

  The number of records in the database. If Db.DB_FAST_STAT was specified the count will be the last saved value unless it has never been calculated, in which case it will be 0. Returned if Db.DB_FAST_STAT is set.

### qs_pagesize

    public int qs_pagesize

  Underlying database page size, in bytes. Returned if Db.DB_FAST_STAT is set.

### qs_extentsize

    public int qs_extentsize

  Underlying database extent size, in pages. Returned if Db.DB_FAST_STAT is set.

### qs_pages

    public int qs_pages

  Number of pages in the database.

### qs_re_len

    public int qs_re_len

  The length of the records. Returned if Db.DB_FAST_STAT is set.

### qs_re_pad

    public int qs_re_pad

  The padding byte value for the records. Returned if Db.DB_FAST_STAT is set.

### qs_pgfree

    public int qs_pgfree

  Number of bytes free in database pages.

### qs_first_recno

    public int qs_first_recno

  First undeleted record in the database. Returned if Db.DB_FAST_STAT is set.

### qs_cur_recno

    public int qs_cur_recno

  Next available record number. Returned if Db.DB_FAST_STAT is set.

Constructor Detail

### DbQueueStat

    public DbQueueStat()

Method Detail

### toString

    public String toString()

  Provide a string representation of all the fields contained within this class.

  Overrides:
    `toString` in class `Object`
  Returns:
    The string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.